Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# PortableServer::ServantLocator Interface Reference

`#include <ServantLocatorC.h>`

Inheritance diagram for PortableServer::ServantLocator:

[legend]
Collaboration diagram for PortableServer::ServantLocator:

[legend]
List of all members.

## Public Types
typedef void * | Cookie
typedef ServantLocator_ptr | _ptr_type
typedef ServantLocator_var | _var_type
## Public Member Functions
Servant | preinvoke (in ObjectId oid, in POA adapter, in CORBA::Identifier operation, out Cookie the_cookie) raises (ForwardRequest)
void | postinvoke (in ObjectId oid, in POA adapter, in CORBA::Identifier operation, in Cookie the_cookie, in Servant the_servant)
virtual ::PortableServer::Servant | preinvoke (const ::PortableServer::ObjectId &oid,::PortableServer::POA_ptr adapter, const char *operation,::PortableServer::ServantLocator::Cookie &the_cookie)=0 throw ( CORBA::SystemException, ::PortableServer::ForwardRequest )
virtual void | postinvoke (const ::PortableServer::ObjectId &oid,::PortableServer::POA_ptr adapter, const char *operation,::PortableServer::ServantLocator::Cookie the_cookie,::PortableServer::Servant the_servant)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Member Functions
ServantLocator_ptr | _duplicate (ServantLocator_ptr obj)
void | _tao_release (ServantLocator_ptr obj)
ServantLocator_ptr | _narrow (CORBA::Object_ptr obj)
ServantLocator_ptr | _unchecked_narrow (CORBA::Object_ptr obj)
ServantLocator_ptr | _nil (void)
## Public Attributes
native | Cookie
## Protected Member Functions
| ServantLocator (void)
virtual | ~ServantLocator (void)
## Private Member Functions
| ServantLocator (const ServantLocator &)
void | operator= (const ServantLocator &)

## Member Typedef Documentation

typedef ServantLocator_ptr PortableServer::ServantLocator::_ptr_type

| Implements PortableServer::ServantManager.

typedef ServantLocator_var PortableServer::ServantLocator::_var_type

| Implements PortableServer::ServantManager.

typedef void* PortableServer::ServantLocator::Cookie

## Constructor & Destructor Documentation

PortableServer::ServantLocator::ServantLocator | ( | void |  | ) | `[protected]`

PortableServer::ServantLocator::~ServantLocator | ( | void |  | ) | `[protected, virtual]`

PortableServer::ServantLocator::ServantLocator | ( | const ServantLocator & |  | ) | `[private]`

## Member Function Documentation

PortableServer::ServantLocator_ptr PortableServer::ServantLocator::_duplicate | ( | ServantLocator_ptr | obj | ) | `[static]`

const char * PortableServer::ServantLocator::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Implements PortableServer::ServantManager.

virtual CORBA::Boolean PortableServer::ServantLocator::_is_a | ( | const char * | type_id | ) | `[virtual]`

| Implements PortableServer::ServantManager.

ServantLocator_ptr PortableServer::ServantLocator::_narrow | ( | CORBA::Object_ptr | obj | ) | `[static]`

| Implements PortableServer::ServantManager.

ServantLocator_ptr PortableServer::ServantLocator::_nil | ( | void |  | ) | `[inline, static]`

| Implements PortableServer::ServantManager.

void PortableServer::ServantLocator::_tao_release | ( | ServantLocator_ptr | obj | ) | `[static]`

ServantLocator_ptr PortableServer::ServantLocator::_unchecked_narrow | ( | CORBA::Object_ptr | obj | ) | `[static]`

| Implements PortableServer::ServantManager.

CORBA::Boolean PortableServer::ServantLocator::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Implements PortableServer::ServantManager.

void PortableServer::ServantLocator::operator= | ( | const ServantLocator & |  | ) | `[private]`

virtual void PortableServer::ServantLocator::postinvoke | ( | const ::PortableServer::ObjectId & | oid,
|  | ::PortableServer::POA_ptr | adapter,
|  | const char * | operation,
|  | ::PortableServer::ServantLocator::Cookie | the_cookie,
|  | ::PortableServer::Servant | the_servant
| ) | throw ( CORBA::SystemException )`[pure virtual]`

void PortableServer::ServantLocator::postinvoke | ( | in ObjectId | oid,
|  | in POA | adapter,
|  | in CORBA::Identifier | operation,
|  | in Cookie | the_cookie,
|  | in Servant | the_servant
| ) |

virtual ::PortableServer::Servant PortableServer::ServantLocator::preinvoke | ( | const ::PortableServer::ObjectId & | oid,
|  | ::PortableServer::POA_ptr | adapter,
|  | const char * | operation,
|  | ::PortableServer::ServantLocator::Cookie & | the_cookie
| ) | throw ( CORBA::SystemException, ::PortableServer::ForwardRequest )`[pure virtual]`

Servant PortableServer::ServantLocator::preinvoke | ( | in ObjectId | oid,
|  | in POA | adapter,
|  | in CORBA::Identifier | operation,
|  | out Cookie | the_cookie
| ) | raises (ForwardRequest)

## Member Data Documentation

native PortableServer::ServantLocator::Cookie

The documentation for this interface was generated from the following files:

- ServantLocator.pidl
- ServantLocatorC.h
- ServantLocatorC.cpp